<?php

/**
 * Phire Assets Edit File
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['fid'])) {

    if (isset($_GET['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_GET['plugin'] .'/');
    } else {
        header('Location: ./files.php');
    }

} else {

    // Get the user data.
    $file = new Phire_Table_Files();
    $file->findById($_GET['fid']);

    if ((!isset($file->file_id)) || (!in_array($file->site_id, $sess->sites)) || (($sess->access != 'Admin') && ($sess->open_authoring[$file->site_id] == 'Off') && ($file->user_id != 0) && ($sess->user_id != $file->user_id))) {

        if (isset($_GET['plugin'])) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_GET['plugin'] .'/');
        } else {
            header('Location: ./files.php');
        }

    } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('Assets'); ?> &gt; <?php $lang->_e('Files'); ?> &gt; <?php print($file->file_name); ?></h2>
<?php

        // Check if an edit file form has been submitted and has returned with errors.
        if (isset($sess->edit_file_form)) {

            try {

                if (isset($sess->file_error)) {
                    print($sess->file_error);
                }

                $sess->edit_file_form->render();

            } catch (Exception $e) {

                unset($sess->edit_file_form);

                $form = new Phire_Form_EditFile('../core/process/edit.file.php?fid=' . $file->file_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'file_id' => $file->file_id));
                $form->render();

            }

        // Else, initialize and render a new edit file form.
        } else {

            $form = new Phire_Form_EditFile('../core/process/edit.file.php?fid=' . $file->file_id, 'post', '        ');
            $form->init(array('plugin' => $plugin, 'file_id' => $file->file_id));
            $form->render();

        }

        include_once '../core/includes/footer.php';

    }

}

?>