<?php

/**
 * Phire Get Members
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Member');
$imp = $lang->__('Import');
$exp = $lang->__('Export');
$ste = $lang->__('Site');
$em = $lang->__('Email');
$click = $lang->__('Click to Edit');
$user = $lang->__('Username');
$last = $lang->__('Last Login');
$ver = $lang->__('Verified');
$app = $lang->__('Approved');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'member_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><a class=\"grayLink\" href=\"./members.php?sort=member_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 12%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./members.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"width: 20%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./members.php?sort=email\">{$em}</a> ({$click})</td><td class=\"grayHeader\" style=\"padding: 0; width: 15%; text-align: left;\"><a class=\"grayLink\" href=\"./members.php?sort=username\">{$user}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 25%; text-align: left;\"><a class=\"grayLink\" href=\"./members.php?sort=last_login\">{$last}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><a class=\"grayLink\" href=\"./members.php?sort=verified\">{$ver}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><a class=\"grayLink\" href=\"./members.php?sort=approved\">{$app}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    // Get the system pagination limit.
    $cfg = new Phire_Table_Config();
    $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : 25;
    $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : 10;

    $members = new Phire_Table_Members();
    $num_of_members = 0;
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Get user's allowed sites.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $num_of_members += $members->getCount($value);
            $site_ids[] = "site_id = '" . $value . "'";
        }

    }

    $sql = "SELECT member_id, site_id, email, username, approved, verified, last_login, last_ip FROM " . DB_PREFIX . "members WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort . " LIMIT " . ($pg - 1) * $pg_num . ", " . $pg_num;
    $members->execute($sql);

    if (isset($members->rows[0])) {
        $member_rows = array();
        $id = null;

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="membersForm" action="../core/process/remove.members.php" method="post" onsubmit="return membersFrm.checkValidate('member', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, membersFrm, 'rm_members');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-member.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./import-members.php">{$imp}</a> <span class="grayPad">|</span> <a class="orangeLink" href="../core/process/export.members.php">{$exp}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                $tableHeader

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"text-align: center;\">[{member_id}]</td><td style=\"text-align: left;\">[{site_domain}]</td><td><a href=\"./edit-member.php?mid=[{member_id}]\">[{member_email}]</a></td><td>[{username}]</td><td style=\"text-align: left;\">[{last_login}]</td><td style=\"text-align: center;\">[{verified}]</td><td style=\"text-align: center;\">[{approved}]</td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_members{$id}\" name=\"rm_members[]\" value=\"[{member_id}]\" /></td></tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /><span style="display: block; margin: 5px 0 0 0; padding: 0 15px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span></td></tr></table>
        </form>
        <script type="text/javascript">
            membersFormInit();
        </script>

TABLEFOOTER;

        // Iterate through each member, formatting and setting it to a row.
        foreach ($members->rows as $member) {

            $last_login = ($member->last_login == '0000-00-00 00:00:00') ? $lang->__('Never') : Moc10_String::setString($member->last_login)->date('l, M j, Y g:i A');
            $last_login .= ($member->last_ip == '') ? '' : ' (' . $member->last_ip . ')';

            $site = new Phire_Table_Sites();
            $site->getSite($member->site_id);

            $member_rows[] = array('member_id' => $member->member_id,
                                   'site_domain' => $site->site_domain,
                                   'member_email' => ($member->email != '') ? $member->email : 'N/A',
                                   'username' => ($member->username != '') ? $member->username : '&nbsp;',
                                   'last_login' => $last_login,
                                   'verified' => $lang->__($member->verified),
                                   'approved' => $lang->__($member->approved),
                                   'id' => $id);

            $id++;

        }

        // Render the member results.
        $sess->members = new Moc10_Session_Paginator($member_rows, $pg_num, $pg_range, $num_of_members);
        $sess->members->setHeader($tableHeader);
        $sess->members->setRowTemplate($rowTmpl);
        $sess->members->setFooter($tableFooter);
        $sess->members->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $nomembers = $lang->__('There are currently no members.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-member.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./import-members.php">{$imp}</a> <span class="grayPad">|</span> <a class="orangeLink" href="../core/process/export.members.php">{$exp}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            $tableHeader
            <tr><td colspan="8" style="padding: 25px;">$nomembers</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
