<?php

/**
 * Phire Get Sites
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Site');
$ste_dom = $lang->__('Site Domain');
$click = $lang->__('Click to Edit');
$ste_em = $lang->__('Site Email');
$lv = $lang->__('Live');
$pgs = $lang->__('Pages');
$pg_reqs = $lang->__('Page Requests');
$reqs_404 = $lang->__('404 Requests');
$srch = $lang->__('Searches');
$mbrs = $lang->__('Members');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'site_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./sites.php?sort=site_id\">ID #</a></td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./sites.php?sort=site_domain\">{$ste_dom}</a> ({$click})</td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><strong>{$ste_em}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./sites.php?sort=site_live\">{$lv}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><strong>{$pgs}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><strong>{$pg_reqs}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><strong>{$reqs_404}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$srch}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 8%; text-align: center;\"><strong>{$mbrs}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$remove}</strong></td></tr>";
require_once '../core/process/calculate.sort.php';

try {

    $sites = new Phire_Table_Sites();

    // Get user's allowed sites.
    if (isset($sess->sites)) {

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "sites WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        $sites->execute($sql);

    }

    if (isset($sites->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="sitesForm" action="./sites.php" method="post" onsubmit="return sitesFrm.checkValidate('site', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3.0% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, sitesFrm, 'rm_sites');" /><a class="orangeLink" href="./add-site.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each site, formatting and printing it to a row.
        foreach ($sites->rows as $site) {

            $brws = new Moc10_Session_Browser();
            $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

            if ($site->site_id == '2001'){
                $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
            } else {
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_sites{$id}\" name=\"rm_sites[]\" value=\"{$site->site_id}\" /></td>";
                $id++;
            }

            $pages = new Phire_Table_Pages();
            $pages->findAll(null, 'site_id', $site->site_id);

            $members = new Phire_Table_Members();
            $num_of_members = $members->getCount($site->site_id);

            $searches = new Phire_Table_SearchLog();
            $site_searches = $searches->getCount($site->site_id);

            $pg_reqs = 0;
            if (isset($pages->rows[0])) {
                foreach ($pages->rows as $page) {
                    $pg_reqs += $page->page_requests;
                }
            }

            $cls = ($site->site_live == 'Yes') ? 'green': 'error';

            print("                <tr><td style=\"text-align: center;\">{$site->site_id}</td><td><a href=\"./edit-site.php?sid={$site->site_id}\">{$site->site_domain}</a></td><td>{$site->site_email}</td><td style=\"text-align: center;\"><span class=\"{$cls}\">" . $lang->__($site->site_live) . "</span></td><td style=\"text-align: center;\">" . count($pages->rows) . "</td><td style=\"text-align: center;\">{$pg_reqs}</td><td style=\"text-align: center;\"><a href=\"./view-404s.php?sid={$site->site_id}\">" . $lang->__('View') . "</a> (" . $sites->get404s($site->site_id) . ")</td><td style=\"text-align: center;\"><a href=\"./view-searches.php?sid={$site->site_id}\">" . $lang->__('View') . "</a> (" . $site_searches . ")</td><td style=\"text-align: center;\">" . $num_of_members . "</td>{$removeCheck}</tr>\n");

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            sitesFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nosites = $lang->__('There are currently no sites.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-site.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="10" style="padding: 25px;">{$nosites}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
