<?php

/**
 * Phire Mobile Get Comments
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$int_sort_id = 'comment_id';
require_once '../../core/process/calculate.sort.php';

try {

    $sql = null;
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Build the SQL query for the comments based on the values passed and the session data set.
    if (isset($_GET['view'])) {
        if (strpos($_GET['view'], 'spam') !== false) {
            if ($_GET['view'] == 'spam') {
                $spam = 'yes';
            } else if ($_GET['view'] == 'not_spam') {
                $spam = 'no';
            }
            $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE site_id = '" . $sess->cur_site_id . "' AND comment_is_spam = '" . $spam . "' ORDER BY " . $sort;
        } else {
            if ($_GET['view'] == 'approved') {
                $app = 'yes';
            } else if ($_GET['view'] == 'not_approved') {
                $app = 'no';
            }
            $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE site_id = '" . $sess->cur_site_id . "' AND comment_approved = '" . $app . "' ORDER BY " . $sort;
        }
        $view = '&view=' . $_GET['view'];
    } else {
        $view = '';
        $sql = "SELECT * FROM " . DB_PREFIX . "comments LEFT JOIN " . DB_PREFIX . "pages ON " . DB_PREFIX . "comments.page_id = " . DB_PREFIX . "pages.page_id WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort;
    }

    // Execute the SQL query.
    $cmts = new Phire_Table_Comments();
    $cmts->execute($sql);

    $app = $lang->__('Approved');
    $notapp = $lang->__('Not Approved');
    $spam = $lang->__('Spam');
    $notspam = $lang->__('Not Spam');
    $all = $lang->__('All');
    $cmmt = $lang->__('Comment');
    $dte = $lang->__('Date');
    $yes = $lang->__('Yes');
    $no = $lang->__('No');
    $remove = $lang->__('Remove?');
    $remove_btn = strtoupper($lang->__('Remove'));

    // Set the table header, row and footer templates.
    $tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 10px; text-align: left;\"><strong>{$cmmt}</strong> (<a class=\"grayLink\" href=\"./comments.php?sort=comment_posted{$view}\">{$dte}</a>)</td><td class=\"grayHeader\" style=\"padding: 0; width: 15%; text-align: center;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_approved{$view}\">{$app}</a></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./comments.php?sort=comment_is_spam{$view}\">{$spam}</a></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: center;\"><strong>{$remove}</strong></td></tr>";

    if (isset($cmts->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="cmtsForm" action="../../core/process/comments.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="smallOrangeLink" href="./comments.php?view=approved">{$app}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=not_approved">{$notapp}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=spam">{$spam}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=not_spam">{$notspam}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php">{$all}</a><br /><span style="margin: 0; padding: 0; font-size: 0.9em;">[{page_links}]</span></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"padding: 5px 5px 5px 10px;\"><a href=\"./edit-comment.php?cid=[{comment_id}]\">[{comment_content}]...</a> ([{comment_posted}])</td><td style=\"text-align: center;\">[{comment_approved}]</td><td style=\"text-align: center;\">[{comment_spam}]</td><td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_cmts[]\" value=\"[{comment_id}]\" /></td></tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><span style="display: block; margin: 5px 0 0 0; padding: 0; font-size: 0.9em; float: left;">[{page_links}]</span><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

        // Iterate through each comment, formatting and setting it into a row.
        foreach ($cmts->rows as $cmt) {

            $comment_author = Moc10_String::setString($cmt->comment_author)->strip()->html();
            $comment_content = Moc10_String::setString($cmt->comment_content)->sub(0, 30)->strip()->html();
            $comment_posted = Moc10_String::setString($cmt->comment_posted)->date('m/d/y');

            $page = new Phire_Table_Pages();
            $page->join(DB_PREFIX . 'sites', 'site_id', null, 'page_id', $cmt->page_id, 1);

            $brws = new Moc10_Session_Browser();
            $div_width = ($brws->version == '7.0') ? '110' : '90';

            $cmt_rows[] = array('comment_id' => $cmt->comment_id,
                                'site_domain' => $page->rows[0]['site_domain'],
                                'page_url' => $page->rows[0]['page_url'],
                                'comment_content' => $comment_content,
                                'comment_author' => $comment_author,
                                'comment_ip' => $cmt->comment_ip,
                                'comment_posted' => $comment_posted,
                                'comment_approved' => $lang->__($cmt->comment_approved),
                                'comment_spam' => $lang->__($cmt->comment_is_spam));

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($cmt_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the comment results.
        $sess->comments = new Moc10_Session_Paginator($cmt_rows, $pg_num, $pg_range);
        $sess->comments->setHeader($tableHeader);
        $sess->comments->setRowTemplate($rowTmpl);
        $sess->comments->setFooter($tableFooter);
        $sess->comments->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $nocmts = $lang->__('There are currently no comments.');

        print <<<TABLEHEADER
    <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="smallOrangeLink" href="./comments.php?view=approved">{$app}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=not_approved">{$notapp}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=spam">{$spam}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php?view=not_spam">{$notspam}</a> <span class="grayPad">|</span> <a class="smallOrangeLink" href="./comments.php">{$all}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="5" style="padding: 25px;">{$nocmts}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
