<?php

/**
 * Phire Mobile Session Login Check
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$sess = Moc10_Session::getInstance();
$mob = new Moc10_Session_Mobile(BASE_PATH . SYS_PATH . '/mobile/login.php', BASE_PATH . SYS_PATH . '/login.php');
$config = new Phire_Table_Config();

// If a mobile device id not detected, bounce to the main login page.
if ($mob->isMobile === false) {

    $mob->goToStandard();

// If mobile access is not allowed, bounce the user.
} else if ($config->settings['mobile_access_allowed'] == 'No') {

    header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/not-allowed.php');

// If an SSL connection is required, but not set, force it.
} else if (($config->settings['use_ssl_connection'] == 'Yes') && ($_SERVER['SERVER_PORT'] == 80)) {

    header('Location: https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);

// If a session id is found, and session hasn't expired, bounce the user to the home page of the admin area.
} else if (isset($sess->user_sess_id)) {

    $existing_user_sess = new Phire_Table_Sessions();
    $existing_user_sess->findById($sess->user_sess_id);

    if (isset($existing_user_sess->session_id)) {
        if ((time() - strtotime($existing_user_sess->session_last_action)) < 1800) {
            $existing_user_sess->session_last_action = date('Y-m-d H:i:s');
            $existing_user_sess->save();
            header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/');
        }
    }

}

?>