<?php

/**
 * Phire Mobile Content Edit Feed
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

if (!isset($_GET['fid'])) {

    header('Location: ./feeds.php');

} else {

    // Get the user data.
    $feed = new Phire_Table_Feeds();
    $feed->findById($_GET['fid']);

    if ((!isset($feed->feed_id)) || (!in_array($feed->site_id, $sess->sites))) {

        header('Location: ./feeds.php');

    } else {

?>
        <br />
        <h3 class="blueHeader">Content &gt; Feeds &gt; <?php print($feed->feed_title); ?></h3>
<?php

        // Check if an add feed form has been submitted and has returned with errors.
        if (isset($sess->edit_feed_form)) {

            try {

                $sess->edit_feed_form->render();

            } catch (Exception $e) {

                unset($sess->edit_feed_form);

                $form = new Phire_Form_Feed('../../core/process/edit.feed.php?fid=' . $feed->feed_id, 'post', '        ');
                $form->init(array('mobile' => 'true', 'feed_id' => $feed->feed_id));
                $form->render();

            }

        // Else, initialize and render a new add feed form.
        } else {

            $form = new Phire_Form_Feed('../../core/process/edit.feed.php?fid=' . $feed->feed_id, 'post', '        ');
            $form->init(array('mobile' => 'true', 'feed_id' => $feed->feed_id));
            $form->render();

        }

        include_once '../../core/includes/mobile/footer.php';

    }

}

?>