<?php

/**
 * Phire System Add Site
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.access.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Sites'); ?> &gt; <?php $lang->_e('Add Site'); ?></h2>
<?php

// Check if an add site form has been submitted and has returned with errors.
if (isset($sess->add_site_form)) {

    try {

        if (isset($sess->domain_error)) {
            print($sess->domain_error);
        }
        if (isset($sess->docroot_error)) {
            print($sess->docroot_error);
        }

        $sess->add_site_form->render();

    } catch (Exception $e) {

        unset($sess->add_site_form);
        unset($sess->domain_error);
        unset($sess->docroot_error);

        $form = new Phire_Form_Site('../core/process/add.site.php', 'post', '        ');
        $form->init(array('plugin' => $plugin));
        $form->render();

    }

// Else, initialize and render a new add site form.
} else {

    $form = new Phire_Form_Site('../core/process/add.site.php', 'post', '        ');
    $form->init(array('plugin' => $plugin));

    if (isset($sess->domain_error)) {
        print($sess->domain_error);
    }
    if (isset($sess->docroot_error)) {
        print($sess->docroot_error);
    }

    $form->render();

}

include_once '../core/includes/footer.php';

?>